Subject: Re: Realtek NIC uses over 1 Watt with no traffic

From: Andrew Lunn <[email-masked]>
Date: Tue, 20 Nov 2018 15:45:56 +0100

On Tue, Nov 20, 2018 at 09:40:25AM +0100, Paul Menzel wrote:
> Dear Linux folks,
> 
> 
> Using Ubuntu 18.10, Linux 4.18.0-11-generic, PowerTOP 2.9 shows, the NIC
> uses 1.77 Watts. A network cable is plugged in, but there is no real traffic
> according to `iftop`. Only an email program is running.
> 
>     $ lspci -nn -s 3:00.1
>     03:00.1 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
> RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev
> 12)
> 
> Is that a measurement error, or does the NIC really need that much power?

Hi Paul

This sounds like Energy Efficient Ethernet, EEE, is not enabled.

What does ethtool --show-eee ethX say?

     Andrew